[[> :header]]


<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":manageTerms" label="Manage Terms" tab="languages"]]
  <li class="breadcrumb-item">
    <semantic-query
      query='SELECT ?language ?language_name WHERE
        {
          ?language ecrm:P3_has_note ?language_name .
          BIND(?? as ?language)
         }'
      template='{{#each bindings}}
        <semantic-link uri=":viewLanguage" urlqueryparam-languageiri="{{language.value}}">{{language_name.value}}</semantic-link>
      {{/each}}'>
    </semantic-query>
  </li>
</ol>

<h2>Edit language</h2>
<semantic-form
  persistence='LDP'
  browser-persistence='false'
  post-action='http://sphaera.mpiwg-berlin.mpg.de/resource/manageTerms'
  fields="[[fieldDefinitions
      equivalent_record="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/equivalent_language_wd"
      label="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/has_note"
      record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/language_record_type"
  ]]"

>
  <semantic-form-text-input for="label"></semantic-form-text-input>

  <autocomplete-input for="equivalent_record" template='{{label.value}} <span style="font-size:0.8em;">{{description.value}}</span>'></autocomplete-input>

   <div class="disabled hidden-field">
    <semantic-form-text-input for="record_type"></semantic-form-text-input>
   </div>

    <div class="text-right form-submit">
      <semantic-link uri="http://sphaera.mpiwg-berlin.mpg.de/resource/manageTerms" urlqueryparam-tab="languages" class="btn btn-default">Cancel</semantic-link>
      <button name="submit" class="btn btn-primary btn-md">Save</button>
    </div>

</semantic-form>

<div>
  <semantic-link
    uri=":deleteResource"
    urlqueryparam-resiri="[[this]]"
    urlqueryparam-back=":manageTerms"
    urlqueryparam-tab="languages"
    urlqueryparam-backtitle="Manage Terms"
  >
    Delete Language
  </semantic-link>
</div>

[[> :footer]]
